using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Syncfusion.Pdf;


public partial class Create : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        System.Drawing.Image img = null;
        
        
        try
        {            
            img=(System.Drawing.Image)Cache["Image"];
            //Create a new PDF Document. The pdfDoc object represents the PDF document.
            //This document has one page by default and additional pages have to be added.
            PDFDocument pdfDoc = new PDFDocument();
            pdfDoc.Margins = new PDFPadding(0);
            pdfDoc.LastPage.Orientation = PageOrientation.Landscape;
            pdfDoc.LastPage.Graphics.DrawWatermark(img, WatermarkImageType.Stretched);
            pdfDoc.Save("Sample.pdf", Response, HttpReadType.Open);
            img.Dispose();
           
        }
        catch (System.ArgumentException)
        {
            Cache.Insert("Image", System.Drawing.Image.FromFile(Server.MapPath(@"PDFDemo.bmp")));
            Response.Redirect("Create.aspx");
        }
       
}
}
